%define aurox_ver 9.4
%define rel 3

%define kde_version 3.2

%define desktop_vendor kde

Summary: Simple image viewer for KDE
Name: gwenview
Version: 1.0.1
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Multimedia 
Source0: %{name}-%{version}.tar.bz2
URL: http://gwenview.sourceforge.net 

Requires: kdelibs >= 6:%{kde_version}

BuildRequires: kdebase-devel >= 6:%{kde_version}
BuildRequires: kdelibs-devel >= 6:%{kde_version}

BuildRequires: libpng-devel, arts-devel, libjpeg-devel
BuildRequires: XFree86-devel, zlib-devel, qt-devel >= 3.1
BuildRequires: libexif-devel

BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to 
provide easy navigation among your thousand images.

Image loading is done by the Qt library, giving you access 
to all image formats your Qt installation supports, but 
Gwenview can also browse GIMP files (*.xcf) thanks to the 
included QXCFI component developed by Lignum Computing.

Gwenview correctly displays images with alpha channel, 
using the traditionnal checker board as a background to
reveal transparency.


%prep
%setup -q

%build
%configure \
	--enable-final 
make

%install
#make DESTDIR=$RPM_BUILD_ROOT install 
%makeinstall

#echo "Comment[pl]=" >> %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Aurox-Extra                                    \
  --add-category X-KDE-Base                                       \
  --add-category Application                                      \
  --add-category ";Graphics"					  \
  %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/applnk

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc NEWS README TODO ChangeLog COPYING CREDITS
%{_bindir}/gwenview
%dir %{_datadir}/apps/gwenview
%{_datadir}/apps/gwenview/gwenviewui.rc
%dir %{_datadir}/apps/gwenview/cursors
%{_datadir}/apps/gwenview/cursors/*.png
%dir %{_datadir}/apps/gwenview/icons
%{_datadir}/apps/gwenview/icons/hicolor/16x16/actions/*.png
%{_datadir}/apps/gwenview/icons/hicolor/22x22/actions/*.png
%{_datadir}/apps/gwenview/icons/hicolor/32x32/actions/*.png
%{_datadir}/apps/gwenview/icons/hicolor/48x48/actions/*.png
%dir %{_datadir}/apps/gwenview/thumbnail
%{_datadir}/apps/gwenview/thumbnail/wait.png
%{_datadir}/icons/hicolor/16x16/apps/gwenview.png
%{_datadir}/icons/hicolor/22x22/apps/gwenview.png
%{_datadir}/icons/hicolor/32x32/apps/gwenview.png
%{_datadir}/icons/hicolor/48x48/apps/gwenview.png
%{_datadir}/icons/hicolor/64x64/apps/gwenview.png
%{_datadir}/icons/locolor/16x16/apps/gwenview.png
%{_datadir}/icons/locolor/32x32/apps/gwenview.png
%dir %{_datadir}/apps/gwenview/tools
%{_datadir}/apps/gwenview/tools/*.desktop
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/apps/konqueror/servicemenus/konqgwenview.desktop
%{_mandir}/man1/gwenview.1.gz

%changelog
* Tue May 11 2004 Aurox Team <aurox@aurox.org> 0:1.0.1-9.4.aur.3
- fix category
- requires kdelibs 3.2
- rebuild with KDE 3.2

* Mon Jan 19 2004 Robert Glowczynski <robertg@aurox.org> - 1.0.1
- updated using pieces of spec from Robert Rockers (in gwenview's sources)
- based on initial spec Andrew "nording" Chernyak <nording@yandex.ru> 
